Skip to main content
GET
Search Series Tags

Request contract

  • Method and path: GET /apis/v1/fred/series/search/tags
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/fred/series/search/tags
  • file_type: query; optional
  • limit: query; optional
  • offset: query; optional
  • order_by: query; optional
  • realtime_end: query; optional
  • realtime_start: query; optional
  • series_search_text: query; required
  • sort_order: query; optional
  • tag_group_id: query; optional
  • tag_names: query; optional
  • tag_search_text: query; optional
  • Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 1e-05
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
limit
integer
default:1000

The maximum number of results to return. integer between 1 and 1000, optional, default: 1000

Required range: 1 <= x <= 1000
offset
integer
default:0

non-negative integer, optional, default: 0

Required range: x >= 0
order_by
enum<string>
default:series_count

Order results by values of the specified attribute. One of the following strings: 'series_count', 'popularity', 'created', 'name', 'group_id'. optional, default: series_count

Available options:
series_count,
popularity,
created,
name,
group_id
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

series_search_text
string
required

The words to match against economic data series. string, required

sort_order
enum<string>
default:asc

Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: asc

Available options:
asc,
desc
tag_group_id
string

A tag group id to filter tags by type. String, optional, no filtering by tag group by default. One of the following: 'freq', 'gen', 'geo', 'geot', 'rls', 'seas', 'src'. freq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source freq = Frequency gen = General or Concept geo = Geography geot = Geography Type rls = Release seas = Seasonal Adjustment src = Source

tag_names
string

A semicolon delimited list of tag names to only include in the response. See the related request fred/series/search/related_tags . String, optional, no filtering by tag names by default Example value: 'm1;m2'. This value filters results to only include tags 'm1' and 'm2'.

tag_search_text
string

The words to find matching tags with. String, optional, no filtering by search words by default.

Response

Successful response. The payload schema has not been reviewed yet.